public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nfdump/
Date: Mon, 15 Mar 2021 21:01:44 +0000 (UTC)	[thread overview]
Message-ID: <1615841924.cb1b23051100d56fd7f6d32f3f9293c56cb9e375.sam@gentoo> (raw)

commit:     cb1b23051100d56fd7f6d32f3f9293c56cb9e375
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 15 20:47:51 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Mar 15 20:58:44 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb1b2305

net-analyzer/nfdump: add 1.6.22

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-analyzer/nfdump/Manifest             |  1 +
 net-analyzer/nfdump/nfdump-1.6.22.ebuild | 69 ++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/net-analyzer/nfdump/Manifest b/net-analyzer/nfdump/Manifest
index 8e6ae49f88b..242b6d09ec4 100644
--- a/net-analyzer/nfdump/Manifest
+++ b/net-analyzer/nfdump/Manifest
@@ -1,3 +1,4 @@
 DIST nfdump-1.6.19.tar.gz 561923 BLAKE2B 458cf0e23f433c7c1c27450712a2f9f8f75a990eeaf079bac9a74bf5abf4bc22c930294494424fd8e7f7d03ffc1e5f1e35ba50e29ba4f3528f63e1739524c9ed SHA512 577c23ca3aae8ab035c734c137d3a338e09f46b5f8551946fd84b9a03fae1ef2aa80e2ab9657eb226defcd753bb63503eeb85316ca1df18d95b85270df8f379e
 DIST nfdump-1.6.20.tar.gz 561053 BLAKE2B 20c8db09386a4aa6174d3c2919c33409a4b2d9b295908ae61e8ce12107c08ba7742fb7ec80bcb7bcdb15e036e6d2320c83f0446a479185cb18717720eca87c88 SHA512 8396241fa24d532540135762a81ce035586c405d4ab1e01d6e2b8226b7cc9b6784170ca1fa4c1581fb60f324473cca5ce2d3de82282313d3877f9584e449d137
 DIST nfdump-1.6.21.tar.gz 561617 BLAKE2B 61a52cb7ee724c47f93e0ce8dd0515306c16b94d8b351f9543deecc2b28c813f09f0e4ba621f2561760924af683ffd527d00936fbc5f91f83d6f727d6cf9e5d9 SHA512 c9162b7a6653267cd4d66a2d75bb2c3d65c431bb29ee549bac2a208fe7f2bc871bb91dfa6d89d6f18cd69f1d435dd25ba1c5dfe6e10b0efc4a582f2e67913a34
+DIST nfdump-1.6.22.tar.gz 563266 BLAKE2B f985a8f8bcbb7ff3ab98d4f01449b121e92914bc47ec7fa07c1a7a068f6722447228b0166d0f2e966c0bab2c93e34133743e8dff7d8dc41a1c70ffac64fbbf6e SHA512 3508e54b4c4785a79118147779300eebd9485532e157b37ed6487255dacaa49959d425c8fc489caa98ff559a4859b9e456e97a6c8a06a1029eb904aa1f9efb61

diff --git a/net-analyzer/nfdump/nfdump-1.6.22.ebuild b/net-analyzer/nfdump/nfdump-1.6.22.ebuild
new file mode 100644
index 00000000000..223ae9b017c
--- /dev/null
+++ b/net-analyzer/nfdump/nfdump-1.6.22.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="A set of tools to collect and process netflow data"
+HOMEPAGE="https://github.com/phaag/nfdump"
+SRC_URI="https://github.com/phaag/nfdump/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/1.6.22"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug doc ftconv nfprofile nftrack readpcap sflow"
+
+DEPEND="
+	app-arch/bzip2
+	sys-libs/zlib
+	ftconv? ( net-analyzer/flow-tools )
+	nfprofile? ( net-analyzer/rrdtool )
+	nftrack? ( net-analyzer/rrdtool )
+	readpcap? ( net-libs/libpcap )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+	sys-devel/flex
+	virtual/yacc
+	doc? ( app-doc/doxygen )
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-1.6.19-compiler.patch
+	"${FILESDIR}"/${PN}-1.6.19-libft.patch
+)
+
+DOCS=( AUTHORS ChangeLog README.md )
+
+src_prepare() {
+	default
+
+	eautoreconf
+
+	if use doc; then
+		doxygen -u doc/Doxyfile.in || die
+	fi
+}
+
+src_configure() {
+	# --without-ftconf is not handled well #322201
+	econf \
+		$(use ftconv && echo "--enable-ftconv --with-ftpath=/usr") \
+		$(use nfprofile && echo --enable-nfprofile) \
+		$(use nftrack && echo --enable-nftrack) \
+		$(use_enable debug devel) \
+		$(use_enable readpcap) \
+		$(use_enable sflow) \
+		--disable-static
+}
+
+src_install() {
+	default
+
+	find "${ED}" -name '*.la' -delete || die
+
+	if use doc; then
+		dodoc -r doc/html
+	fi
+}


             reply	other threads:[~2021-03-15 21:01 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-03-15 21:01 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-25 21:56 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nfdump/ Sam James
2024-11-25 21:56 Sam James
2024-11-14 18:41 Sam James
2024-11-14  3:17 Sam James
2024-02-27 22:06 Sam James
2023-06-01  5:23 Sam James
2023-05-01 13:19 Sam James
2023-04-23 17:57 Sam James
2022-10-31 16:41 Agostino Sarubbo
2022-10-01  0:34 Sam James
2022-06-23  6:45 Agostino Sarubbo
2022-06-23  5:58 Agostino Sarubbo
2022-06-23  4:47 Sam James
2022-04-13  1:48 Sam James
2022-03-24 23:58 Sam James
2021-08-11  0:02 Sam James
2021-05-28  2:27 Sam James
2021-05-28  1:22 Sam James
2021-04-18 21:27 Sam James
2021-04-18 21:20 Sam James
2021-03-27 16:11 Sam James
2021-03-27 16:07 Sam James
2021-03-27 16:06 Sam James
2021-03-27 16:02 Sam James
2021-03-27 15:35 Sam James
2021-03-15 21:12 Sam James
2021-03-15 21:12 Sam James
2021-03-15 21:09 Sam James
2020-08-02 10:43 Jeroen Roovers
2020-03-29 12:38 Jeroen Roovers
2020-03-12 16:26 Agostino Sarubbo
2020-03-12 16:21 Agostino Sarubbo
2017-05-29  8:30 Jeroen Roovers
2016-06-15  9:13 Jeroen Roovers
2016-05-14 22:23 Agostino Sarubbo
2016-05-14 22:22 Agostino Sarubbo
2016-05-12 16:39 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1615841924.cb1b23051100d56fd7f6d32f3f9293c56cb9e375.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox